create table person (
       person_id bigint(20),
       name tinytext,
       surname tinytext,
	   age bigint(20),
	   address_id bigint(20)
);

create table address (
	   address_id bigint(20), 
       street tinytext,
       zip bigint(20),
       city tinytext
);

create table course (
       course_id bigint(20),
	   course_number bigint(20),
       description tinytext,	
	   teacher_id bigint(20)
);

create table course_person_rel (
	   course_id bigint(20),
	   person_id bigint(20),
	   result bigint(20)
);

insert into address values (1, 'Rabbithole 1',54435,'Cooperville');
insert into person  values (1, 'Alice','Cooper', 50, 1);
insert into person  values (2, 'Alice W.','Onderland', 21, 1);

insert into address values (2, 'Talkshow - Bulleward 1',57637,'Kln');
insert into person  values (3, 'Hans','Meiser', 26, 2);

insert into address values (3, 'Planke 3',32139,'Auff''n Schiff 1');
insert into person  values (4, 'Kpt''n ','Blaubr der "Priat"', 60, 3);
insert into person  values (5, 'Hein','Bld', 40, 3);

insert into course  values (1, 4711, 'Noise for beginners', 1);
insert into course  values (2, 0815, 'Seemannsgarn fr Fortgeschrittene', 4);

insert into course_person_rel (course_id, person_id, result) values (1,3,1);
insert into course_person_rel (course_id, person_id, result) values (1,2,2);
insert into course_person_rel (course_id, person_id, result) values (2,5,2);




